Update an application
PATCH
/api/v1/applications/{id}
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body required
Section titled “Request Body required ”object
labelIds
Label IDs to assign to the application
Array<string>
Example
[ "507f1f77bcf86cd799439011", "507f1f77bcf86cd799439012"] displayConfiguration
Display configuration for hiding fields and sections
object
hiddenFields
Array<string>
hiddenSections
Array<string>
unmappedResponseUpdates
Key-value pairs to update in unmappedResponses. Key format: stepId.valueId for regular fields, or fatcaCrs.fieldKey for FATCA fields.
object
key
additional properties
any
Example
{ "step1.item1": "new value", "fatcaCrs.tin": "123-45-6789"} individualApplication
object
firstName
string
Example
John middleName
string
Example
David lastName
string
Example
Smith countryOfBirth
ISO 3166-1 alpha-2 country code
string format: iso-3166-1-alpha-2
Example
GB nationality
ISO 3166-1 alpha-2 country code
string format: iso-3166-1-alpha-2
Example
GB address
object
street
string
Example
123 Main Street apartment
string
Example
Apt 4B city
string
Example
London state
string
Example
England country
string
Example
GB postalCode
string
Example
EC1A 1BB phoneNumber
object
countryCode
required
string
Example
+1 phoneNumber
required
string
Example
4143319681 otherNationality
ISO 3166-1 alpha-2 country code
string format: iso-3166-1-alpha-2
Example
IE email
string
Example
john.smith@example.com amountToBeInvested
number
Example
50000 amountToBeInvestedCurrency
string
Example
GBP usCitizen
boolean
isPEP
boolean
employmentStatus
string
Example
EMPLOYED occupation
string
Example
Software Engineer accountTurnover
string
Example
50000-100000 annualFlow
string
Example
100000-500000 estimatedNumberOfPayments
number
Example
20 expectedFxRequirement
string
Example
10000-50000 currenciesRequired
Array<string>
Example
[ "GBP", "EUR"] countriesSentTo
Array<string>
Example
[ "GB", "DE"] countriesReceivedFrom
Array<string>
Example
[ "GB", "US"] paymentPurpose
string
Example
Personal expenses fundingSource
string
Example
Salary dateOfBirth
string format: date-time
Example
1990-05-15 taxResidency
object
principalResidence
string
Example
GB secondaryResidence
string
Example
IE taxIdentificationNumber
string
Example
AB123456C tradingExperience
object
shares
string
derivatives
string
otcDerivatives
string
tradingMethod
string
hasOccupationalExperience
boolean
hasFormalQualification
boolean
businessApplication
object
name
string
Example
Acme Corporation registrationNumber
string
Example
12345678 jurisdiction
ISO 3166-1 alpha-2 country code
string format: iso-3166-1-alpha-2
Example
GB trustType
string
Example
Discretionary Trust legalForm
string
Example
Limited Company purpose
string
Example
Investment management and advisory services businessActivity
string
Example
Financial services industry
string
Example
Financial Services subIndustry
string
Example
Investment Management address
object
street
string
Example
123 Main Street apartment
string
Example
Apt 4B city
string
Example
London state
string
Example
England country
string
Example
GB postalCode
string
Example
EC1A 1BB registeredAddress
object
street
string
Example
123 Main Street apartment
string
Example
Apt 4B city
string
Example
London state
string
Example
England country
string
Example
GB postalCode
string
Example
EC1A 1BB tradingAddress
object
street
string
Example
123 Main Street apartment
string
Example
Apt 4B city
string
Example
London state
string
Example
England country
string
Example
GB postalCode
string
Example
EC1A 1BB phoneNumber
object
countryCode
required
string
Example
+1 phoneNumber
required
string
Example
4143319681 website
string
Example
https://www.acmecorp.com sicCode
string
Example
64110 vatNumber
string
Example
GB123456789 taxId
string
Example
A02951077 referrer
string
Example
Partner Bank referrerNote
string
Example
Referred by relationship manager companyTurnover
string
Example
1000000-5000000 annualFlow
string
Example
500000-1000000 estimatedNumberOfPayments
number
Example
50 expectedFxRequirement
string
Example
100000-500000 currenciesRequired
Array<string>
Example
[ "GBP", "EUR", "USD"] countriesSentTo
Array<string>
Example
[ "GB", "DE", "US"] countriesReceivedFrom
Array<string>
Example
[ "GB", "FR"] paymentPurpose
string
Example
Supplier payments fundingSource
string
Example
Revenue from operations investmentAmount
number
Example
250000 investmentAmountCurrency
string
Example
GBP isAudited
boolean
Example
true hasPep
boolean
ownershipLayers
number
legalEntityType
string
Example
Limited Company regulatoryAuthority
string
Example
FCA regulatoryNumber
string
Example
123456 incorporationDate
string format: date-time
Example
2020-01-15 establishmentDate
string format: date-time
Example
2020-01-15 registrationDate
string format: date-time
Example
2020-01-15 tradingExperience
object
shares
string
derivatives
string
otcDerivatives
string
tradingMethod
string
hasOccupationalExperience
boolean
hasFormalQualification
boolean
metadata
Arbitrary key-value metadata. Up to 50 key-value pairs. Keys: 1-40 chars, letters/digits/hyphens/underscores only. Values: strings up to 500 chars. On update, send null as a value to delete a key; send {} to clear all metadata.
object
key
additional properties
string | null
Example
{ "externalRef": "abc-123", "plan": "enterprise"}Responses
Section titled “ Responses ”Application updated successfully